package cn.hmsoft.hmplatform.identity.data.model;

import java.io.Serializable;
import java.time.LocalDate;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "P_STD_RES", keyColumn =  "" , sequenceName = "")
public class PStdRes implements Serializable{
	private static final long serialVersionUID = 2998191970737840266L;
	//资源类型
	private String res_type;
	//考生编号
	private Integer std_id;
	//身份证验证日期
	private LocalDate res_date;
	//cert_id
	private String cert_id;
	//验证次数
	private Integer res_number;
	//人工干预阀值
	private Integer res_plus;

	/****
	 * 资源类型
	 */
	public String getRes_type() {
		return this.res_type;
	}

	/****
	 * 资源类型
	 */
	public void setRes_type(String res_type) {
		this.res_type = res_type;
	}

	/****
	 * 考生编号
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生编号
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	/****
	 * 身份证验证日期
	 */
	public LocalDate getRes_date() {
		return this.res_date;
	}

	/****
	 * 身份证验证日期
	 */
	public void setRes_date(LocalDate res_date) {
		this.res_date = res_date;
	}

	/****
	 * 验证次数
	 */
	public Integer getRes_number() {
		return this.res_number;
	}

	/****
	 * 验证次数
	 */
	public void setRes_number(Integer res_number) {
		this.res_number = res_number;
	}

	public Integer getRes_plus() {
		return res_plus;
	}

	public void setRes_plus(Integer res_plus) {
		this.res_plus = res_plus;
	}

	public String getCert_id() {
		return cert_id;
	}

	public void setCert_id(String cert_id) {
		this.cert_id = cert_id;
	}

}